summaryrefslogtreecommitdiff
path: root/tests/misc/groups-dash
diff options
context:
space:
mode:
authorEric Blake <ebb9@byu.net>2007-09-29 08:49:20 -0600
committerJim Meyering <jim@meyering.net>2007-09-30 09:40:25 +0200
commit3c98f1d3eec060dc0b484310776abefd28abc89c (patch)
tree5ed5830871a952abb1c299cfcf5d81b57dee159e /tests/misc/groups-dash
parent329982b723c4000b8371c54d51f5e2eaae71dc7a (diff)
downloadcoreutils-3c98f1d3eec060dc0b484310776abefd28abc89c.tar.xz
Test previous patch.
* tests/misc/groups-dash: New test. * tests/misc/Makefile.am (TESTS): Add it. Signed-off-by: Eric Blake <ebb9@byu.net>
Diffstat (limited to 'tests/misc/groups-dash')
-rwxr-xr-xtests/misc/groups-dash37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/misc/groups-dash b/tests/misc/groups-dash
new file mode 100755
index 000000000..f6dfe6887
--- /dev/null
+++ b/tests/misc/groups-dash
@@ -0,0 +1,37 @@
+#!/bin/sh
+# ensure groups handles -- sanely
+
+# Copyright (C) 2007 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ groups --version
+fi
+
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+
+# Coreutils 6.9 and earlier failed to display information on first argument
+# if later argument was --.
+fail=0
+groups none -- > out 2>&1
+echo $? >> out
+groups -- none -- > exp 2>&1
+echo $? >> exp
+
+compare out exp || fail=1
+
+(exit $fail); exit $fail